import request from '@/utils/request'

// 查询内资市场主体行业信息列表
export function listInfo(query) {
    return request({
        url: '/crmDomesticMarketEntityIndustryInfo/findByPage',
        method: 'get',
        params: query
    })
}

// 查询内资市场主体行业信息详细
export function getInfo(id) {
    return request({
        url: '/crmDomesticMarketEntityIndustryInfo/' + id,
        method: 'get'
    })
}

// 新增内资市场主体行业信息
export function addInfo(data) {
    return request({
        url: '/crmDomesticMarketEntityIndustryInfo',
        method: 'post',
        data: data
    })
}

// 修改内资市场主体行业信息
export function updateInfo(data) {
    return request({
        url: '/crmDomesticMarketEntityIndustryInfo',
        method: 'put',
        data: data
    })
}

// 删除内资市场主体行业信息
export function delInfo(id) {
    return request({
        url: '/crmDomesticMarketEntityIndustryInfo/deleteAll',
        method: 'delete'
    })
}
// 批量删除行政许可
export function delInfoBatch(ids) {
    console.log(ids);
    return request.post('/crmDomesticMarketEntityIndustryInfo/delete',ids)
}